apt 3.1.11 commandline package manager

Public Member Functions | List of all members
PackageContainerInterface::iterator_base< Itr > Class Template Reference

## Public Member Functions
| operator pkgCache::PkgIterator (void) const
const char * | Name () const
std::string | FullName (bool const Pretty) const
std::string | FullName () const
bool | Purge () const
const char * | Arch () const
pkgCache::GrpIterator | Group () const
pkgCache::VerIterator | VersionList () const
pkgCache::VerIterator | CurrentVer () const
pkgCache::DepIterator | RevDependsList () const
pkgCache::PrvIterator | ProvidesList () const
pkgCache::PkgIterator::OkState | State () const
const char * | CurVersion () const
pkgCache * | Cache () const
unsigned long | Index () const
bool | end () const
pkgCache::Package const * | operator-> () const

The documentation for this class was generated from the following file:

- apt-pkg/cacheset.h